---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - e9924d02-1de8-54ae-b747-f1bae8ae18b6
      tier: AATSR_CMP_MONTH
      value: 0.154745414853096
    brdf:
      alpha_1:
        band_1: 0.41220359182328303
        band_11: 0.30836222313851963
        band_12: 0.17271562976375937
        band_2: 0.41220359182328303
        band_3: 0.49383864522734455
        band_4: 0.42496459870096526
        band_5: 0.42496459870096526
        band_6: 0.42496459870096526
        band_7: 0.6045259614469367
        band_8: 0.6045259614469367
        band_8a: 0.6045259614469367
      alpha_2:
        band_1: 0.17314919044469915
        band_11: 0.15373741685364103
        band_12: 0.20465876043037023
        band_2: 0.17314919044469915
        band_3: 0.15452575064706833
        band_4: 0.16845961576387397
        band_5: 0.16845961576387397
        band_6: 0.16845961576387397
        band_7: 0.12000252115660423
        band_8: 0.12000252115660423
        band_8a: 0.12000252115660423
      id:
      - 66c8f42a-7aa1-5719-9f93-8ad25d57676f
      - 242c5b5e-a34b-51da-a753-3adfb975e982
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.271
    water_vapour:
      id:
      - 044fd1a9-cb43-51a6-8c88-623be4c1e265
      tier: DEFINITIVE
      value: 2.9000000000000004
  id: 0762c690-e119-4cdd-96fb-c7409da1ba3c
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2009.1116315592858
      BAND-11: 247.06173685375927
      BAND-12: 86.4383923270787
      BAND-2: 2062.6905090313085
      BAND-3: 1932.946088832858
      BAND-4: 1577.8373753729913
      BAND-5: 1456.7982859034248
      BAND-6: 1331.9248846134897
      BAND-7: 1224.3180776732006
      BAND-8: 1076.458940020749
      BAND-8A: 981.3296682589421
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-01-02 00:16:33.547705Z
    atime: 2022-07-09 04:46:14Z
    ctime: 2021-01-02 03:52:29Z
    mtime: 2021-01-02 03:52:25Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2021/2021-01/30S145E-35S150E/S2B_MSIL1C_20210102T001109_N0209_R073_T55HDB_20210102T012424.zip
  system_information:
    hostname: gadi-cpu-clx-1236.gadi.nci.org.au
    runtime_id: 102d98b8-ff42-11ec-b699-0000008cfe80
    time_processed: 2022-07-09 04:46:14.597156Z
    uname: 'Linux gadi-cpu-clx-1236.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 49.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 19
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20210102T012424_A019976_T55HDB_N02.09
  ref_date: '2014-10-04T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/093/084/LC80930842014277LGN00_B6.TIF
  residual:
    abs:
      x: 20.24
      xy: 20.69
      y: 4.26
    abs_iterative_mean:
      x: 21.17
      xy: 21.3
      y: 2.37
    cep90: 24.48
    iterative_mean:
      x: 21.17
      xy: 21.18
      y: 0.61
    iterative_stddev:
      x: 2.81
      xy: 3.85
      y: 2.63
    mean:
      x: 20.24
      xy: 20.24
      y: 0.26
    stddev:
      x: 4.44
      xy: 6.54
      y: 4.81
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 1.4768000106170849
    cloud: 98.48331956430137
    cloud_shadow: 0.039760982876632794
    snow: 9.953517075258542e-06
    water: 0.00010948868782784398
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 1.144256322971722
    cloud: 98.85574367702827
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
